Subject: bug#16007: admin/charsets/mule-charsets.el requires old Emacs version

From: Eli Zaretskii <[email-masked]>
Date: Tue, 10 Dec 2013 19:40:38 +0200

> From: [email-masked] (K. Handa)
> Cc: [email-masked], [email-masked]
> Date: Tue, 10 Dec 2013 20:48:11 +0900
> 
> > > > Is the effort of making it work with MULE-is13194.map is
> > > > so significant?
> > > 
> > > ??? I'm saying that such an effort is useless.  If someone
> > > want to generate those maps, he/she should use Emacs 22.
> 
> > I don't understand: are you saying that these maps are not used at all
> > in Emacs 23 and later?  In that case, we should simply delete them
> > from the repository.
> 
> They are surely used as well as the other maps
> (e.g. Uni2JIS) which can never be re-generated if the source
> internet sites are gone.
> 
> > But if these files _are_ used by latest Emacsen, then having to look
> > for an old Emacs 22 binary in order to produce them is a nuisance.
> > E.g., imagine that the maps have been lost for some reason (like some
> > disaster on Savannah), and need to be regenerated.
> 
> I think it is a nuisance to prepare for such a disaster.
> But, if we are going to do that, as such a disaster will
> happen on any other internet sites, we should have a program
> to re-generate all charsets (and perhaps all uni-*.el).

I see.

What about the problem with indian-is13194 in list-charset-chars --
what is needed to fix that one?

Thanks.